Joomla 5 Notice

We are pleased to announce that as of January 29, 2024, all of our Joomla extensions are compatible with Joomla 5.

For all who are still updateing from Joomla 3 to Joomla 4: Joomla 4 Migration instructions are available here:

There is now a separate Documentation for Visforms for Joomla 4 and for Visforms for Joomla 5!

Forum

Visforms Subscription user can ask questions in our forum. Please log in with the relevant user first.
Everybody can access the forum for reading.

Please only ask 1 question per topic.

vfsubscription_j4.0.0_4.4.0 lässt sich nicht installieren

More
1 month 3 days ago - 1 month 3 days ago #10032 by Yakidi
Hallo
Die Erweiterung vfsubscription_j4.0.0_4.4.0 lässt sich nicht  installieren.

Es ist ein Fehler aufgetreten.

0 Class "ZipArchive" not found

Call Stack#FunctionLocation
1 ()JROOT\tmp\install_65b55669dfa2b\script.php:670
2 pkg_vfsubscriptionInstallerScript->installPdfFonts()JROOT\tmp\install_65b55669dfa2b\script.php:191
3 pkg_vfsubscriptionInstallerScript->preflight()JROOT\libraries\src\Installer\LegacyInstallerScript.php:158
4 Joomla\CMS\Installer\LegacyInstallerScript_call()JROOT\libraries\src\Installer\LegacyInstallerScript.php:187
5 Joomla\CMS\Installer\LegacyInstallerScript>callOnScript()JROOT\libraries\src\Installer\LegacyInstallerScript.php:98
6 Joomla\CMS\Installer\LegacyInstallerScript>preflight()JROOT\libraries\src\Installer\Adapter\PackageAdapter.php:590
7 Joomla\CMS\Installer\Adapter\PackageAdapter>triggerManifestScript()JROOT\libraries\src\Installer\InstallerAdapter.php:714
8 Joomla\CMS\Installer\InstallerAdapter->install()JROOT\libraries\src\Installer\Installer.php:652
9 Joomla\CMS\Installer\Installer>install()JROOT\administrator\components\com_installer\src\Model\InstallModel.php:214
10 Joomla\Component\Installer\Administrator\Model\InstallModel>install()JROOT\administrator\components\com_installer\src\Controller\
InstallController.php:52
11 Joomla\Component\Installer\Administrator\Controller\InstallController>install()JROOT\libraries\src\MVC\Controller\BaseController.php:730
12 Joomla\CMS\MVC\Controller\BaseController>execute()JROOT\libraries\src\Dispatcher\ComponentDispatcher.php:143
13 Joomla\CMS\Dispatcher\ComponentDispatcher>dispatch()JROOT\libraries\src\Component\ComponentHelper.php:361
14 Joomla\CMS\Component\ComponentHelper::renderComponent()JROOT\libraries\src\Application\AdministratorApplication.php:150
15 Joomla\CMS\Application\AdministratorApplication>dispatch()JROOT\libraries\src\Application\AdministratorApplication.php:195
16 Joomla\CMS\Application\AdministratorApplication>doExecute()JROOT\libraries\src\Application\CMSApplication.php:306
17 Joomla\CMS\Application\CMSApplication>execute()JROOT\administrator\includes\app.php:5818require_once()JROOT\administrator\index.php:32

visforms_update.php:
INFO    ************ package installation: subscription ( 2024-01-27 19:15:54 ) ************
INFO    ****** package running in: [ROOT]|tmp|install_65b55669dfa2b
INFO    ****** starting script file: subscription package - administrator/manifests/packages/vfsubscription/script.php ******
INFO    start preflight
INFO    write access to filesystem possible
INFO    *** start install of extension pkg_visforms_subscription 4.4.0: 2024-01-27 19:15:54 ***
INFO    PDF fonts not installed
INFO    PHP directive 'allow_url_fopen' set to: 1
INFO    PDF fonts can be installed due to PHP settings
INFO    *** trying to install pdf fonts ***

Was kann ich tun?
Last edit: 1 month 3 days ago by Yakidi.

More
1 month 1 day ago #10033 by Administrator IV
Replied by Administrator IV on topic vfsubscription_j4.0.0_4.4.0 lässt sich nicht installieren
Hello Yakidi,

you are missing a very common PHP module on your server.
In the following topic the same problem occurred 11 months ago.

"Internal Server Error" when installing subscription package:
vi-solutions.de/de/forum/19-joomla-exten...package?start=6#8984

This post also mentions a workaround if, for whatever reason, you are not allowed or unable to install the PHP Zip extension:
vi-solutions.de/de/forum/19-joomla-exten...ackage?start=12#8989

Quote:
For the ZipArchive class to be present, PHP needs to have the zip extension installed.
So you need to install the PHP zip extension.

Kind regards, Ingmar

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).

More
3 weeks 6 days ago #10041 by Yakidi
Thank you very much! It worked perfectly.
The "php_zip.dll" was already there. I only had to add the entry "extension=php_zip.dll" in php.ini.

Moderators: Administrator AVAdministrator IV
Powered by Kunena Forum